<?php
/**
 * @brief		Admin CP Member Form
 * @author		<a href='http://www.invisionpower.com'>Invision Power Services, Inc.</a>
 * @copyright	(c) 2001 - 2016 Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/legal/standards/
 * @package		IPS Community Suite
 * @subpackage	(DP41) Referrals System
 * @since		28 Feb 2017
 * @version		SVN_VERSION_NUMBER
 */

namespace IPS\rsystem\extensions\core\MemberForm;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * Admin CP Member Form
 */
class _rsystemMemberForm
{
	/**
	 * Process Form
	 *
	 * @param	\IPS\Helpers\Form		$form	The form
	 * @param	\IPS\Member				$member	Existing Member
	 * @return	void
	 */
	public function process( &$form, $member )
	{		
		$form->add( new \IPS\Helpers\Form\YesNo( 'dp3_rs_menable', $member->dp3_rs_menable, FALSE, array(), NULL, NULL, NULL, 'dp3_rs_menable' ) );
        $form->add( new \IPS\Helpers\Form\YesNo( 'dp3_rs_banned', $member->dp3_rs_banned, FALSE, array(), NULL, NULL, NULL, 'dp3_rs_banned' ) );
	}
	
	/**
	 * Save
	 *
	 * @param	array				$values	Values from form
	 * @param	\IPS\Member			$member	The member
	 * @return	void
	 */
	public function save( $values, &$member )
	{
		$member->dp3_rs_menable = $values['dp3_rs_menable'];
        $member->dp3_rs_banned  = $values['dp3_rs_banned'];	
	}
}